# PNC part
# PNC product part
product:
  name: AMQ Streams
  abbreviation: amq-streams
  stage: GA
version: 1.8.0
milestone: CR1-test
group: AMQ Streams 1.8 - test

# PNC builds part
builds:
  - name: bridge-0.20.1
    project: strimzi/bridge
    scmUrl: git+ssh://code.engineering.redhat.com/strimzi/strimzi-kafka-bridge.git
    scmRevision: 0.20.1-redhat
    buildType: MVN
    environmentId: 226
    brewPullActive: true
    buildScript: |
      mvn license:download-licenses
      mvn -P render-licenses -DskipTests deploy
      ./redhat/build.sh
      python check_libs.py
    alignmentParameters:
        - '-DdependencyOverride.org.apache.kafka:kafka-clients@*=2.8.0.redhat-00002'
        - '-DdependencyOverride.io.vertx:*@*=4.1.0.redhat-00004'
        - '-DdependencyOverride.com.fasterxml.jackson.core:jackson-core@*=2.12.1.redhat-00001'
        - '-DdependencyOverride.com.fasterxml.jackson.core:jackson-annotations@*=2.12.1.redhat-00001'
        - '-DdependencyOverride.com.fasterxml.jackson.core:jackson-databind@*=2.12.1.redhat-00001'
        - '-DdependencyOverride.com.fasterxml.jackson.dataformat:jackson-dataformat-yaml@*=2.12.1.redhat-00001'
        - '-DdependencyOverride.com.fasterxml.jackson.datatype:jackson-datatype-jsr310@*=2.12.1.redhat-00001'
        - '-DdependencyOverride.com.github.luben:zstd-jni@*=1.4.9.2-redhat-00001'
        - '-DdependencyOverride.com.google.code.gson:gson@*=2.8.6.redhat-00001'
        - '-DdependencyOverride.commons-cli:commons-cli@*=1.4.0.redhat-00001'
        - '-DdependencyOverride.commons-io:commons-io@*=2.8.0.redhat-00001'
        - '-DdependencyOverride.com.networknt:json-schema-validator@*=1.0.43.redhat-00001'
        - '-DdependencyOverride.com.squareup.okhttp3:okhttp@*=3.14.6.redhat-00001'
        - '-DdependencyOverride.com.squareup.okio:okio@*=1.17.2.redhat-00002'
        - '-DdependencyOverride.com.sun.activation:jakarta.activation@*=1.2.2.redhat-00001'
        - '-DdependencyOverride.io.jaegertracing:*@*=1.1.0.redhat-00002'
        - '-DdependencyOverride.io.micrometer:micrometer-core@*=1.6.3.redhat-00001'
        - '-DdependencyOverride.io.micrometer:micrometer-registry-prometheus@*=1.6.3.redhat-00001'
        - '-DdependencyOverride.io.netty:netty-buffer@*=4.1.65.Final-redhat-00001'
        - '-DdependencyOverride.io.netty:netty-codec-dns@*=4.1.65.Final-redhat-00001'
        - '-DdependencyOverride.io.netty:netty-codec-http@*=4.1.65.Final-redhat-00001'
        - '-DdependencyOverride.io.netty:netty-codec-http2@*=4.1.65.Final-redhat-00001'
        - '-DdependencyOverride.io.netty:netty-codec@*=4.1.65.Final-redhat-00001'
        - '-DdependencyOverride.io.netty:netty-codec-socks@*=4.1.65.Final-redhat-00001'
        - '-DdependencyOverride.io.netty:netty-common@*=4.1.65.Final-redhat-00001'
        - '-DdependencyOverride.io.netty:netty-handler@*=4.1.65.Final-redhat-00001'
        - '-DdependencyOverride.io.netty:netty-handler-proxy@*=4.1.65.Final-redhat-00001'
        - '-DdependencyOverride.io.netty:netty-resolver-dns@*=4.1.65.Final-redhat-00001'
        - '-DdependencyOverride.io.netty:netty-resolver@*=4.1.65.Final-redhat-00001'
        - '-DdependencyOverride.io.netty:netty-transport@*=4.1.65.Final-redhat-00001'
        - '-DdependencyOverride.io.opentracing.contrib:opentracing-kafka-client@*=0.1.15.redhat-00001'
        - '-DdependencyOverride.io.opentracing.contrib:opentracing-tracerresolver@*=0.1.8.redhat-00001'
        - '-DdependencyOverride.org.yaml:snakeyaml@*=1.27.0.redhat-00001'
        - '-DdependencyOverride.org.slf4j:slf4j-api@*=1.7.30.redhat-00001'
        - '-DdependencyOverride.jakarta.xml.bind:jakarta.xml.bind-api@*=2.3.3.redhat-00001'
        - '-DdependencyOverride.io.prometheus.jmx:collector@*=0.14.0.redhat-00002'
        - '-DdependencyOverride.javax.annotation:javax.annotation-api@*=1.3.2.redhat-00001'
        - '-DdependencyOverride.org.apache.commons:commons-lang3@*=3.11.0.redhat-00001'
        - '-DdependencyOverride.org.hdrhistogram:HdrHistogram@*=2.1.12.redhat-00001'
        - '-DdependencyOverride.org.apache.logging.log4j:log4j-slf4j-impl@*=2.14.0.redhat-00004'
        - '-DdependencyOverride.org.apache.logging.log4j:log4j-core@*=2.14.0.redhat-00004'
        - '-DdependencyOverride.org.apache.logging.log4j:log4j-api@*=2.14.0.redhat-00004'
        - '-DdependencyOverride.javax.xml.bind:jaxb-api@*=2.3.1.redhat-00001'
        - '-DdependencyOverride.org.apache.qpid:proton-j@*=0.33.8.redhat-00001'
        - '-DdependencyOverride.io.prometheus:simpleclient@*=0.9.0.redhat-00001'
        - '-DdependencyOverride.io.prometheus:simpleclient_common@*=0.9.0.redhat-00001'
        - '-DdependencyOverride.commons-logging:commons-logging@*=1.2.0.redhat-3'
        - '-DdependencyOverride.org.jruby.jcodings:jcodings@*=1.0.46.redhat-00001'
        - '-DdependencyOverride.org.jruby.joni:joni@*=2.1.31.redhat-00001'

# Generation part
outputPrefixes:
  releaseFile: strimzi-bridge
  releaseDir: strimzi-bridge
flow:
  repositoryGeneration:
    strategy: IGNORE
  licensesGeneration:
    strategy: IGNORE
  javadocGeneration:
    strategy: IGNORE
  sourcesGeneration: # Optional
    strategy: GENERATE